> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a company



## OpenAPI

````yaml /spec/openapi.json put /companies/{company}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /companies/{company}:
    put:
      tags:
        - Companies
      summary: Update a company
      operationId: companies-update
      parameters:
        - name: company
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The company's name.
                  maxLength: 255
                pay_day_movement_setting:
                  type: string
                  description: >-
                    The company-level setting for how pay dates are adjusted
                    when they fall on a weekend or bank holiday. Inherited by
                    Business Entities and Pay Schedules whose own setting is
                    `inherit`.
                  enum:
                    - inherit
                    - next_business_day
                    - previous_business_day
                external_ref:
                  type: string
                  maxLength: 255
                preferred_locale:
                  type: string
                  description: >-
                    The locale used for payroll communications sent to Employees
                    and Contractors within this company. If not set, the
                    Partner's locale is used.
                  enum:
                    - en
                    - fr
            example:
              name: Cutting-Edge Telecom Solutions
              pay_day_movement_setting: inherit
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"company"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Company'
              example:
                id: <id>
                object: company
                data:
                  name: Cutting-Edge Telecom Solutions
                  pay_day_movement_setting: inherit
                  external_ref: null
                  preferred_locale: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /companies/<id>
components:
  schemas:
    Company:
      type: object
      title: Company
      properties:
        name:
          type: string
          description: The company's name.
        pay_day_movement_setting:
          type: string
          description: >-
            The company-level setting for how pay dates are adjusted when they
            fall on a weekend or bank holiday. Inherited by Business Entities
            and Pay Schedules whose own setting is `inherit`.
          enum:
            - inherit
            - next_business_day
            - previous_business_day
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        preferred_locale:
          type: string
          description: >-
            The locale used for payroll communications sent to Employees and
            Contractors within this company. If not set, the Partner's locale is
            used.
          nullable: true
          enum:
            - en
            - fr
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````